Get an email authentication check
GET
/api/v1/deliverability/status/{check_uuid}
const url = 'https://app.hostrepute.com/api/v1/deliverability/status/01a178db-e1ee-72a1-b274-94bf06c7e8c7';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.hostrepute.com/api/v1/deliverability/status/01a178db-e1ee-72a1-b274-94bf06c7e8c7 \ --header 'Authorization: Bearer <token>'Get the stored result of an email authentication check. Results are kept for as long as your plan’s email authentication history; after that this returns 404.
Needs the deliverability:read ability.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”check_uuid
required
string
The UUID of the email authentication check, from the response of the run request.
Example
01a178db-e1ee-72a1-b274-94bf06c7e8c7Responses
Section titled “Responses”Media typeapplication/json
object
data
object
uuid
string
host
string
status
string
result
object
summary
object
skipped
integer
failed
integer
passed
integer
warning
integer
checks
Array<object>
object
type
string
label
string
status
string
message
string
context
array
data_source_group
string
checked_at
string
created_at
string
Example
{ "data": { "uuid": "01a178db-e1ee-72a1-b274-94bf06c7e8c7", "host": "example.com", "status": "failed", "result": { "summary": { "skipped": 4, "failed": 1, "passed": 5, "warning": 3 }, "checks": [ { "type": "reverse_dns", "label": "Reverse DNS", "status": "skipped", "message": "IP-only check skipped for domain target.", "context": [] }, { "type": "forward_confirmed_reverse_dns", "label": "Forward-confirmed Reverse DNS", "status": "skipped", "message": "IP-only check skipped for domain target.", "context": [] }, { "type": "generic_ptr", "label": "Generic PTR Pattern", "status": "skipped", "message": "IP-only check skipped for domain target.", "context": [] }, { "type": "ptr_hostname_format", "label": "PTR Hostname Format", "status": "skipped", "message": "IP-only check skipped for domain target.", "context": [] }, { "type": "mx_health", "label": "MX Health", "status": "failed", "message": "No MX records were found.", "context": [] }, { "type": "spf_record", "label": "SPF Record", "status": "passed", "message": "One SPF record found.", "context": { "record": "v=spf1 -all" } }, { "type": "spf_strict", "label": "SPF Strict Policy", "status": "passed", "message": "SPF uses a strict fail-all policy.", "context": { "record": "v=spf1 -all" } }, { "type": "spf_lookup_limit", "label": "SPF Lookup Limit", "status": "passed", "message": "SPF is within the DNS lookup limit.", "context": { "record": "v=spf1 -all", "lookup_count": 0, "lookup_limit": 10 } }, { "type": "dmarc_record", "label": "DMARC Record", "status": "passed", "message": "DMARC record found.", "context": { "record": "v=DMARC1;p=reject;sp=reject;adkim=s;aspf=s", "policy": "reject" } }, { "type": "dmarc_strict", "label": "DMARC Strict Policy", "status": "passed", "message": "DMARC uses an enforcement policy.", "context": { "record": "v=DMARC1;p=reject;sp=reject;adkim=s;aspf=s", "policy": "reject" } }, { "type": "mta_sts", "label": "MTA-STS Policy", "status": "warning", "message": "No MTA-STS DNS policy record was found.", "context": { "name": "_mta-sts.example.com" } }, { "type": "tls_rpt", "label": "TLS-RPT Record", "status": "warning", "message": "No TLS-RPT record was found.", "context": { "name": "_smtp._tls.example.com" } }, { "type": "bimi", "label": "BIMI Record", "status": "warning", "message": "No BIMI record was found.", "context": { "name": "default._bimi.example.com" } } ] }, "data_source_group": null, "checked_at": "2026-10-26T15:37:18.000000Z", "created_at": "2026-10-26T15:37:18.000000Z" }}No check with this UUID in your team, or past your plan’s history
Media typeapplication/json
object
message
string
Example
{ "message": "No query results for model [App\\Models\\DeliverabilityCheck] 01a178db-e1ee-72a1-b274-94bf06c7e8c7"}
